您尚未登录。

#1 2020-06-09 22:07:49

hellohale
会员
注册时间: 2020-02-04
帖子: 4

求助执行 pacman-Syu的时候报错

请教一下各位大神,我很久没执行Syu了,今天在manjaro执行 pacman-Syu的时候报错,无法升级,信息如下,应该怎么处理呢?

sudo pacman -Syu
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
:: Starting full system upgrade...
:: Replace linux55 with community/linux-latest? [Y/n] y
error: could not open file /var/lib/pacman/local/modemmanager-qt-5.69.0-1/desc: Bad message
error: could not open file /var/lib/pacman/local/networkmanager-1.22.11dev+36+g6abf71f05-1/desc: Bad message
error: could not open file /var/lib/pacman/local/networkmanager-qt-5.69.0-2/desc: Bad message
error: could not open file /var/lib/pacman/local/okular-20.04.0-1/desc: Bad message
error: could not open file /var/lib/pacman/local/oxygen-icons-1:5.69.0-1/desc: Bad message
error: could not open file /var/lib/pacman/local/perl-clone-0.44-1/desc: Bad message
error: could not open file /var/lib/pacman/local/php-7.4.5-1/desc: Bad message
error: could not open file /var/lib/pacman/local/php-fpm-7.4.5-1/desc: Bad message
error: could not open file /var/lib/pacman/local/print-manager-20.04.0-1/desc: Bad message
error: could not open file /var/lib/pacman/local/python-importlib-metadata-1.5.1-1/desc: Bad message
resolving dependencies...
error: could not open file /var/lib/pacman/local/nginx-1.18.0-1/desc: Bad message
error: could not open file /var/lib/pacman/local/openvpn-2.4.9-2/desc: Bad message
error: could not open file /var/lib/pacman/local/perl-alien-libxml2-0.16-1/desc: Bad message
error: could not open file /var/lib/pacman/local/pkgconf-1.6.3-4/desc: Bad message
error: could not open file /var/lib/pacman/local/python-distro-1.5.0-1/desc: Bad message
error: could not open file /var/lib/pacman/local/python-pycups-2.0.1-1/desc: Bad message
error: could not open file /var/lib/pacman/local/python-reportlab-3.5.42-1/desc: Bad message
error: could not open file /var/lib/pacman/local/python2-2.7.18-1/desc: Bad message
error: could not open file /var/lib/pacman/local/qt5-tools-5.14.2-2/desc: Bad message
looking for conflicting packages...
warning: could not fully load metadata for package perl-clone-0.44-1
error: failed to prepare transaction (invalid or corrupted package)

离线

#2 2020-06-09 22:40:46

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,672
个人网站

Re: 求助执行 pacman-Syu的时候报错

随便挑个文件看一下内容,比如 cat /var/lib/pacman/local/modemmanager-qt-5.69.0-1/desc。

离线

#3 2020-06-09 23:02:11

hellohale
会员
注册时间: 2020-02-04
帖子: 4

Re: 求助执行 pacman-Syu的时候报错

好像是没有这个文件
[hale@hale-Manjaro ~]$ cat /var/lib/pacman/local/modemmanager-qt-5.69.0-1/desc
cat: /var/lib/pacman/local/modemmanager-qt-5.69.0-1/desc: Bad message

我进入那个路径看查不到东西
[hale@hale-Manjaro modemmanager-qt-5.69.0-1]$ ls
ls: reading directory '.': Bad message

离线

#4 2020-06-10 00:15:26

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,672
个人网站

Re: 求助执行 pacman-Syu的时候报错

你用了什么不常见的文件系统么?

离线

#5 2020-06-10 08:43:50

xtricman
エクス·トリクマン
注册时间: 2012-12-26
帖子: 1,251

Re: 求助执行 pacman-Syu的时候报错

依云 说:

你用了什么不常见的文件系统么?

怎么什么都Bad Message,文件系统读写的syscall没有正常的返回值?

可能需要strace一下ls看看,man7也没告诉我哪个syscall会返回EBADMSG

最近编辑记录 xtricman (2020-06-10 08:58:58)


反社会,精神极其不稳定,随时可能炸碎身边所有人

离线

页脚